#ifndef SENSORDATA_H
#define SENSORDATA_H

#if defined(ARDUINO) && ARDUINO >= 100
  #include "Arduino.h"
#elif defined(ENERGIA)
  #include "Energia.h"
#else
  #include "WProgram.h"
#endif

typedef uint8_t DeviceAddress[8];

struct SensorData {
  uint16_t unloadedVcc;
  uint16_t vcc;
  
  struct {
    float humidity;
    float temperature;
  } dht;

  uint8_t dallasCount;
  struct {
    DeviceAddress address;
    float temperature;
  } dallas[];
} __attribute__((packed));

#define DALLAS_SIZE sizeof(*(((SensorData *)(NULL))->dallas))

#endif  /* SENSORDATA_H */
